class PatientModel {
  final String key;
  final String label;

  final bool required;
  String? showType;
  String? value;

  /// 数据是dynamic格式的
  final List<dynamic>? source;

  PatientModel({
    required this.key,
    required this.label,
    required this.required,
    this.showType,
    this.value = '',
    this.source,
  });

  factory PatientModel.fromJson(Map<String, dynamic> json) {
    return PatientModel(
      key: json['key'],
      label: json['label'],
      showType: json['ShowType'],
      required: json['Required'],
      source: json['Source'],
    );
  }
}
